Debian Bug report logs - #409137
[uscan] Berlios rejects query calls

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Jari Aalto <jari.aalto@cante.net>

Date: Wed, 31 Jan 2007 02:03:01 UTC

Severity: normal

Found in version devscripts/2.9.27

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org, Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: devscripts: [uscan] Berlios rejects query calls
Date: Thu, 18 Jan 2007 21:40:47 +0200
Package: devscripts
Version: 2.9.27
Severity: normal

watch file:

  version=3
  http://mpy-svn-stats.berlios.de/ .*([\d.]).*bz2

Response:

  $ uscan --report-status
  uscan warning: In watchfile debian/watch, reading webpage
    http://mpy-svn-stats.berlios.de/ failed: 403 Forbidden

berlios.de which apparently rejects based on User-Agent. Please
provide a work-around or some redirector lke provided for sourceforge
(http://sf.net/; uscan manual)

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18-3-686
Locale: LANG=C, LC_CTYPE=C (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)

Versions of packages devscripts depends on:
ii  debianutils                 2.17.5       Miscellaneous utilities specific t
ii  dpkg-dev                    1.13.25      package building tools for Debian
ii  libc6                       2.3.6.ds1-10 GNU C Library: Shared libraries
ii  perl                        5.8.8-7      Larry Wall's Practical Extraction 
ii  sed                         4.1.5-1      The GNU sed stream editor

Versions of packages devscripts recommends:
ii  fakeroot                      1.5.12     Gives a fake root environment

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justin@aavso.org>:
Extra info received and forwarded to list. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #10 received at 409137@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justin@aavso.org>
To: Jari Aalto <jari.aalto@cante.net>, 409137@bugs.debian.org
Subject: Re: Bug#409137: devscripts: [uscan] Berlios rejects query calls
Date: Tue, 30 Jan 2007 22:07:38 -0500
On Thu, Jan 18, 2007 at 09:40:47PM +0200, Jari Aalto wrote:
> Package: devscripts
> Version: 2.9.27
> Severity: normal
> 
> watch file:
> 
>   version=3
>   http://mpy-svn-stats.berlios.de/ .*([\d.]).*bz2
> 
> Response:
> 
>   $ uscan --report-status
>   uscan warning: In watchfile debian/watch, reading webpage
>     http://mpy-svn-stats.berlios.de/ failed: 403 Forbidden
> 
> berlios.de which apparently rejects based on User-Agent. Please
> provide a work-around or some redirector lke provided for sourceforge
> (http://sf.net/; uscan manual)
See also:
  lists.debian.org/debian-mentors/2006/11/msg00367.html
wherein Julian reported that a similar problem had been fixed.



Information forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #15 received at 409137@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 409137@bugs.debian.org
Cc: Justin Pryzby <justin@aavso.org>
Subject: Re: Bug#409137: devscripts: [uscan] Berlios rejects query calls
Date: Wed, 31 Jan 2007 07:29:06 +0200
Justin Pryzby <justin@aavso.org> writes:

> On Thu, Jan 18, 2007 at 09:40:47PM +0200, Jari Aalto wrote:
>> Package: devscripts
>> Version: 2.9.27
>> Severity: normal
>>
>> watch file:
>>
>>   version=3
>>   http://mpy-svn-stats.berlios.de/ .*([\d.]).*bz2
>>
>> Response:
>>
>>   $ uscan --report-status
>>   uscan warning: In watchfile debian/watch, reading webpage
>>     http://mpy-svn-stats.berlios.de/ failed: 403 Forbidden
>>
>> berlios.de which apparently rejects based on User-Agent. Please
>> provide a work-around or some redirector lke provided for sourceforge
>> (http://sf.net/; uscan manual)
> See also:
>   lists.debian.org/debian-mentors/2006/11/msg00367.html
> wherein Julian reported that a similar problem had been fixed.

From the above link, Julian:

    > - Berlios apparently rejects based on User-Agent.
    Fixed in 2.9.24, I believe.

This bug is against 2.9.27. So if it is not the User-Agent, there is some other
problem in uscan[1]. wireshark capture from HTTP request:

GET /  HTTP/1.1
0050  0d 0a 54 45 3a 20 64 65  66 6c 61 74 65 2c 67 7a   ..TE: de flate,gz
0060  69 70 3b 71 3d 30 2e 33  0d 0a 43 6f 6e 6e 65 63   ip;q=0.3 ..Connec
0070  74 69 6f 6e 3a 20 54 45  2c 20 63 6c 6f 73 65 0d   tion: TE , close.
0080  0a 48 6f 73 74 3a 20 6d  70 79 2d 73 76 6e 2d 73   .Host: m py-svn-s
0090  74 61 74 73 2e 62 65 72  6c 69 6f 73 2e 64 65 0d   tats.ber lios.de.
00a0  0a 55 73 65 72 2d 41 67  65 6e 74 3a 20 44 65 62   .User-Ag ent: Deb
00b0  69 61 6e 20 75 73 63 61  6e 20 32 2e 39 2e 32 37   ian usca n 2.9.27

At least here it identifies with "User-Agent: Debian uscan 2.9.27".
wget can download the link mentioned at the page:

    $ wget http://download.berlios.de/mpy-svn-stats/mpy-svn-stats-0.4.tar.bz2
    => `mpy-svn-stats-0.4.tar.bz2'
    Resolving download.berlios.de... 195.37.77.141
    Connecting to download.berlios.de|195.37.77.141|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 21,872 (21K) [application/x-download]

    100%[===============================================================================>] 21,872        16.79K/s

    06:36:21 (16.77 KB/s) - `mpy-svn-stats-0.4.tar.bz2' saved [21872/21872]


Jari

[1]
Result identical to this one; in the same thread
http://lists.debian.org/debian-mentors/2006/11/msg00325.html




Information forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Jari Aalto <jari.aalto@cante.net>, 409137@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#409137: devscripts: [uscan] Berlios rejects query calls
Date: Wed, 31 Jan 2007 12:07:57 +0100
On Thu, Jan 18, 2007 at 09:40:47PM +0200, Jari Aalto wrote:
> berlios.de which apparently rejects based on User-Agent. Please
> provide a work-around or some redirector lke provided for sourceforge
> (http://sf.net/; uscan manual)

does this happens with other berlios projects as well?

if it is a berlios-wide thing, the solution can be to change the user-agent, but
that won't be really kind, we should probably talk to berlios guys.

thanks,
filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

In God we trust, everybody else pays cash.
-- somewhere in England 



Information forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #30 received at submit@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Filippo Giunchedi <filippo@debian.org>
Cc: Jari Aalto <jari.aalto@cante.net>, 409137@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#409137: devscripts: [uscan] Berlios rejects query calls
Date: Wed, 31 Jan 2007 14:51:44 +0200
Filippo Giunchedi <filippo@debian.org> writes:

> On Thu, Jan 18, 2007 at 09:40:47PM +0200, Jari Aalto wrote:
>> berlios.de which apparently rejects based on User-Agent. Please
>> provide a work-around or some redirector lke provided for sourceforge
>> (http://sf.net/; uscan manual)
>
> does this happens with other berlios projects as well?
>
> if it is a berlios-wide thing, the solution can be to change the user-agent, but
> that won't be really kind, we should probably talk to berlios guys.

Can't comment about other projects, but evidence so far points to that
redirection.

Jari




Information forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
Extra info received and forwarded to list. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #40 received at 409137@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: 409137@bugs.debian.org
Subject: Re: Bug#409137: devscripts: [uscan] Berlios rejects query calls
Date: Tue, 6 Feb 2007 09:46:28 +0100
hi guys,

i can reproduce this with one of my projects aswell:

 abi@k:~/upstream-checks$ sh scan.sh 
 uscan warning: In watchfile ncurses.watch, reading webpage
   http://developer.berlios.de/project/showfiles.php?group_id=273 failed:
 403 Forbidden

changing the user agent helps, i did so in the past.

bye,
    - michael



Changed Bug title. Request was from Mohammed Adnène Trojette <adn+deb@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <michal@cihar.com>:
Extra info received and forwarded to list. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #47 received at 409137@bugs.debian.org (full text, mbox):

From: Michal Čihař <michal@cihar.com>
To: 409137@bugs.debian.org
Subject: Same with sonata
Date: Wed, 14 Mar 2007 11:14:29 +0100
[Message part 1 (text/plain, inline)]
H

Same happens with sonata, following watch:

http://sonata.berlios.de/download.html \
http://download.berlios.de/sonata/sonata-(.*).tar.gz

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#409137; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. Full text and rfc822 format available.

Message #52 received at 409137@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: helix@users.berlios.de
Cc: debian-mentors@lists.debian.org, devscripts@packages.debian.org, 397354@bugs.debian.org, 409137@bugs.debian.org
Subject: Re: debian/watch file and berlios
Date: Tue, 20 Mar 2007 13:56:42 -0400
[Message part 1 (text/plain, inline)]
Dear Lutz,

I am a Debian developer who packages a FOSS software hosted at
berlios.de.  As a part of packaging, we use a convenience tool named
uscan which checks the upstream page for available new versions.
Since some time ago, berlios's website is not allowing the tool to use
its native Agent string ("Debian uscan 2.9.27") and forbids the access.

Is there a chance to adjust web server configuration to allow uscan to
access the pages? If it is not of your responsibility, could you
please forward this request to appropriate person?

For the reference and examples of invocation please see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=397354
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=409137

Thank you in advance for your help

Cheers
Yarik

On Mon, 19 Mar 2007, Yaroslav Halchenko wrote:

> I am sorry if I am trying to wake up a dead issue, but 

> On Thu, 23 Nov 2006, Julian Gilbey wrote:
> > On Wed, Nov 22, 2006 at 11:17:29AM -0500, Justin Pryzby wrote:
> > > I think there are 2 problems:
> > > - Berlios apparently rejects based on User-Agent.
> > Fixed in 2.9.24, I believe.

> Indeed there is a changelog entry:
>   * uscan: set HTTP user agent name (Closes: #397354)

> and current 2.9.27 version of uscan has:

> $user_agent->agent('Debian uscan 2.9.27');

> and my uscan fails with:

> ,---
> | -- In debian/watch, processing watchfile line:
> |    opts=downloadurlmangle=s/prdownload/download/  http://developer.berlios.de/project/showfiles.php?group_id=7729  http://prdownload.berlios.de/keyjnotegui/keyjnotegui-(.*).tar.bz2
> | uscan warning: In watchfile debian/watch, reading webpage
> |  http://developer.berlios.de/project/showfiles.php?group_id=7729 failed: 403 Forbidden
> `---

> so imho issue persists since berlios seems to don't allow uscan as the
> agent effectively bringing #397354 back alive:

> ,---
> | *$>  lynx -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729' | head -3

> |       [1]BerliOS :    [2]DevCounter   [3]WebCalendar   [4]Developer
> |     [5]SourceAgency   [6]SourceLines    [7]Partners   [8]Contact Us

> | $>  lynx -useragent='Debian uscan 2.9.27' -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729'
> | Warning: User-Agent string does not contain "Lynx" or "L_y_n_x"!

> |                                    Forbidden

> |    You don't have permission to access /project/showfiles.php on this
> |    server.
> |      _________________________________________________________________


> |     Apache/1.3.34 Server at developer.berlios.de Port 80
> `---


> P.S. Sorry for an extensive list of Addressees -- just wanted to
> follow-up on existing thread/issue.
-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-5440x263 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jari Aalto <jari.aalto@cante.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 409137-done@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Lutz Henckel <lutz.henckel@fokus.fraunhofer.de>
Cc: 409137-done@bugs.debian.org, debian-mentors@lists.debian.org, devscripts@packages.debian.org, 397354@bugs.debian.org
Subject: Re: debian/watch file and berlios
Date: Thu, 22 Mar 2007 09:24:10 -0400
Thank you Lutz!
Just checked  -- it worked!

On Thu, 22 Mar 2007, Lutz Henckel wrote:

> Hi Yarik,
> is should work again. A wrong configuration has forbidded
> access of User Agents beginning with "D".

> Ciao
> Lutz


> Yaroslav Halchenko schrieb:
> >Dear Lutz,
> >I am a Debian developer who packages a FOSS software hosted at
> >berlios.de.  As a part of packaging, we use a convenience tool named
> >uscan which checks the upstream page for available new versions.
> >Since some time ago, berlios's website is not allowing the tool to use
> >its native Agent string ("Debian uscan 2.9.27") and forbids the access.
> >Is there a chance to adjust web server configuration to allow uscan to
> >access the pages? If it is not of your responsibility, could you
> >please forward this request to appropriate person?
> >For the reference and examples of invocation please see
> >http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=397354
> >http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=409137
> >Thank you in advance for your help
> >Cheers
> >Yarik
> >On Mon, 19 Mar 2007, Yaroslav Halchenko wrote:
> >>I am sorry if I am trying to wake up a dead issue, but 
> >>On Thu, 23 Nov 2006, Julian Gilbey wrote:
> >>>On Wed, Nov 22, 2006 at 11:17:29AM -0500, Justin Pryzby wrote:
> >>>>I think there are 2 problems:
> >>>>- Berlios apparently rejects based on User-Agent.
> >>>Fixed in 2.9.24, I believe.
> >>Indeed there is a changelog entry:
> >>  * uscan: set HTTP user agent name (Closes: #397354)
> >>and current 2.9.27 version of uscan has:
> >>$user_agent->agent('Debian uscan 2.9.27');
> >>and my uscan fails with:
> >>,---
> >>| -- In debian/watch, processing watchfile line:
> >>|    opts=downloadurlmangle=s/prdownload/download/  http://developer.berlios.de/project/showfiles.php?group_id=7729  
> >>http://prdownload.berlios.de/keyjnotegui/keyjnotegui-(.*).tar.bz2
> >>| uscan warning: In watchfile debian/watch, reading webpage
> >>|  http://developer.berlios.de/project/showfiles.php?group_id=7729 failed: 403 Forbidden
> >>`---
> >>so imho issue persists since berlios seems to don't allow uscan as the
> >>agent effectively bringing #397354 back alive:
> >>,---
> >>| *$>  lynx -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729' | head -3
> >>|       [1]BerliOS :    [2]DevCounter   [3]WebCalendar   [4]Developer
> >>|     [5]SourceAgency   [6]SourceLines    [7]Partners   [8]Contact Us
> >>| $>  lynx -useragent='Debian uscan 2.9.27' -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729'
> >>| Warning: User-Agent string does not contain "Lynx" or "L_y_n_x"!
> >>|                                    Forbidden
> >>|    You don't have permission to access /project/showfiles.php on this
> >>|    server.
> >>|      _________________________________________________________________
> >>|     Apache/1.3.34 Server at developer.berlios.de Port 80
> >>`---
> >>P.S. Sorry for an extensive list of Addressees -- just wanted to
> >>follow-up on existing thread/issue.
-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-5440x263 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 01:40:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:43:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.